Changes between Version 12 and Version 13 of PythonOcc/primitives


Ignore:
Timestamp:
Oct 30, 2013, 12:29:28 PM (7 years ago)
Author:
ptomsic
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v12 v13  
    9191display.DisplayShape(Vozlisce.Shape())
    9292}}}
    93 [[BR]][[BR]][[BR]][[BR]][[BR]]
     93[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    9494
    9595
     
    124124display.DisplayShape(Mreza.Shape())
    125125}}}
    126 [[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
     126[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    127127
    128128Korak 04: Izdelava površine iz obstoječe mreže [[Image(Povrsina.png, right)]]
     
    138138display.DisplayShape(Povrsina.Shape())
    139139}}}
    140 [[BR]][[BR]][[BR]]
     140[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    141141
    142142Korak 05: Izdelava izvleka v prostor [[Image(Solid.png, right)]]
     
    157157Izvlek = BRepPrimAPI_MakePrism(Povrsina.Face() , Smer)
    158158}}}
    159 
    160 
    161 [[Image(Solid-barve.png, right)]]
     159[[BR]][[BR]][[BR]][[BR]][[BR]]
     160
     161Barvo modela lhako po želji spremenimo z uporabo ukaza:
     162{{{
     163#!python
     164display.DisplayColoredShape(Oblika.Shape(), 'BARVA')
     165}}}
     166[[BR]][[BR]]
     167
     168Primer programa za izdelavo izvleka:[[Image(Solid-barve.png, right)]]
     169{{{
     170#!python
     171## Izdelava Izvleka
     172
     173from OCC.Display.SimpleGui import *
     174from OCC.BRepPrimAPI import *
     175from OCC.gp import *
     176from OCC.GC import *
     177from OCC.BRepBuilderAPI import *
     178
     179display, start_display, add_menu, add_function_to_menu = init_display()
     180
     181#Izdelava točk v prostoru
     182T1 = gp_Pnt(0 , 0 , 0)
     183T2 = gp_Pnt(10 , 0, 0)
     184T3 = gp_Pnt(10 , 10 , 0)
     185T4 = gp_Pnt(0, 10 , 0)
     186
     187#izdelava robov na podlagi definiranih tock
     188E1 = BRepBuilderAPI_MakeEdge(T1, T2)
     189E2 = BRepBuilderAPI_MakeEdge(T2, T3)
     190E3 = BRepBuilderAPI_MakeEdge(T3, T4)
     191E4 = BRepBuilderAPI_MakeEdge(T4, T1)
     192
     193#izdelava mreznega modela
     194Mreza  = BRepBuilderAPI_MakeWire(E1.Edge() , E2.Edge() ,E3.Edge(), E4.Edge())
     195
     196#Izdelava povrsine
     197Povrsina = BRepBuilderAPI_MakeFace(Mreza.Wire())
     198
     199#Izdelava vektorja za izvlek v prostor
     200Vektor1 = gp_Vec(0 , 0, 10)
     201
     202#Izdelava priznaticnega telesa- izvlek povrsine v smeri vektorja
     203Izvlek = BRepPrimAPI_MakePrism(Povrsina.Face() , Vektor1)
     204
     205#Prikaz izvleka v prikaznem oknu
     206display.DisplayShape(Izvlek.Shape())
     207
     208#Sprememba barve modela
     209display.DisplayColoredShape(Izvlek.Shape(), 'RED')
     210
     211display.View_Iso() #izometricni prikaz
     212start_display()
     213}}}
     214
     215== Uporaba geometrijskih primitivov ==